You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flex.apache.org by ma...@apache.org on 2013/10/06 15:57:56 UTC

[15/25] git commit: [flex-sdk] [refs/heads/mobileexperimental] - Some useful script to help with creating release branches and release candidates

Some useful script to help with creating release branches and release candidates


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/631604ec
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/631604ec
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/631604ec

Branch: refs/heads/mobileexperimental
Commit: 631604ec185031c9cd844f9090e779a6054ebd3c
Parents: 050a7ae
Author: Justin Mclean <jm...@apache.org>
Authored: Sat Oct 5 16:53:37 2013 +1000
Committer: Justin Mclean <jm...@apache.org>
Committed: Sat Oct 5 16:53:37 2013 +1000

----------------------------------------------------------------------
 build/check_sigs.sh               | 77 +++++++++++++++++++++++++++++++
 build/deploy_release_candidate.sh | 82 ++++++++++++++++++++++++++++++++++
 build/make_release_branch.sh      | 49 ++++++++++++++++++++
 build/tag_release_candidate.sh    | 47 +++++++++++++++++++
 4 files changed, 255 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/631604ec/build/check_sigs.sh
----------------------------------------------------------------------
diff --git a/build/check_sigs.sh b/build/check_sigs.sh
new file mode 100755
index 0000000..0716308
--- /dev/null
+++ b/build/check_sigs.sh
@@ -0,0 +1,77 @@
+#!/bin/sh -e
+
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+
+if [ $# -ne 2 ]
+then
+    echo "Usage: deploy_release_branch flex_version ([0-99].[0-99].[0-999]) release_candidate ([0-100])"
+    exit 1
+fi
+
+FLEX_VERSION="$1"
+CHECK=`echo "$FLEX_VERSION" | grep -q -E '[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}$'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex version needs to be in the form [0-99].[0-99].[0-999]"
+	exit 1
+fi
+
+RELEASE_CANDIDATE="$2"
+CHECK=`echo "$RELEASE_CANDIDATE" | grep -q -E '[0-9]{1,2}'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex release candidate to be in the range 1-99"
+	exit 1;
+fi
+
+# Assumes FLEX_DEV_AREA has been set up and point to SVN checked out dev area
+
+VERSION_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}"
+RC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}"
+BIN_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/binaries"
+DOC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/docs"
+
+function checkFile() {
+	FILE="$1"
+	
+	HASH=`md5 -q "${FILE}"`
+	CHECK=`cat "${FILE}.md5"`
+
+	if [ "$HASH" != "$CHECK" ]
+	then
+		echo "${FILE} MD5 incorrect"
+		exit 1;
+	else
+	   echo "${FILE} MD5 OK";
+	fi
+
+	gpg --verify "${FILE}.asc"
+
+}
+
+checkFile "${RC_DIR}/apache-flex-sdk-4.11.0-src.tar.gz"
+checkFile "${RC_DIR}/apache-flex-sdk-4.11.0-src.zip"
+
+checkFile "${BIN_DIR}/apache-flex-sdk-4.11.0-bin.tar.gz"
+checkFile "${BIN_DIR}/apache-flex-sdk-4.11.0-bin.zip"
+
+checkFile "${DOC_DIR}/apache-flex-sdk-4.11.0-asdocs.zip"

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/631604ec/build/deploy_release_candidate.sh
----------------------------------------------------------------------
diff --git a/build/deploy_release_candidate.sh b/build/deploy_release_candidate.sh
new file mode 100755
index 0000000..60a7bfb
--- /dev/null
+++ b/build/deploy_release_candidate.sh
@@ -0,0 +1,82 @@
+#!/bin/sh -e
+
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+
+
+if [ $# -ne 2 ]
+then
+    echo "Usage: deploy_release_branch flex_version ([0-99].[0-99].[0-999]) release_candidate ([0-100])"
+fi
+
+FLEX_VERSION="$1"
+CHECK=`echo "$FLEX_VERSION" | grep -q -E '[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}$'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex version needs to be in the form [0-99].[0-99].[0-999]"
+	exit 1;
+fi
+
+RELEASE_CANDIDATE="$2"
+CHECK=`echo "$RELEASE_CANDIDATE" | grep -q -E '[0-9]{1,2}'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex release candidate to be in the range 1-99"
+	exit 1;
+fi
+
+# Assumes FLEX_DEV_AREA has been set up and point to SVN checked out dev area
+
+VERSION_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}"
+RC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}"
+BIN_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/binaries"
+DOC_DIR="${FLEX_DEV_AREA}/sdk/${FLEX_VERSION}/rc${RELEASE_CANDIDATE}/docs"
+
+echo "RC directory is ${RC_DIR}"
+
+if [ ! -d "${VERSION_DIR}" ]
+then
+	mkdir "${VERSION_DIR}"
+fi
+
+if [ ! -d "${RC_DIR}" ]
+then
+	mkdir "${RC_DIR}"
+fi
+
+if [ ! -d "${BIN_DIR}" ]
+then
+	mkdir "${BIN_DIR}"
+fi
+
+if [ ! -d "${DOC_DIR}" ]
+then
+	mkdir "${DOC_DIR}"
+fi
+
+cp README "${RC_DIR}"
+cp RELEASE_NOTES "${RC_DIR}"
+cp ./out/*-src.* "${RC_DIR}"
+cp ./out/*-bin.* "${BIN_DIR}"
+cp ./out/*-asdocs.* "${DOC_DIR}"
+
+
+

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/631604ec/build/make_release_branch.sh
----------------------------------------------------------------------
diff --git a/build/make_release_branch.sh b/build/make_release_branch.sh
new file mode 100755
index 0000000..605f829
--- /dev/null
+++ b/build/make_release_branch.sh
@@ -0,0 +1,49 @@
+#!/bin/sh -e
+
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+
+
+# This script release branch for the next Apache Flex version
+
+if [ $# -ne 1 ]
+then
+    echo Usage: make_release_branch [0-100].[0-100].[0-1000]
+fi
+
+FLEX_VERSION="$1"
+CHECK=`echo "$FLEX_VERSION" | grep -q -E '[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}$'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex version needs to be in the form [0-100].[0-100].[0-1000]"
+	exit 1;
+fi
+
+echo "Creating branch for Apache Flex Version ${FLEX_VERSION}"
+
+git push -u origin develop:release${FLEX_VERSION}
+
+cd ..
+mkdir "ApacheFlex${FLEX_VERSION}"
+cd "ApacheFlex${FLEX_VERSION}"
+git clone https://git-wip-us.apache.org/repos/asf/flex-sdk.git .
+git checkout release${FLEX_VERSION}
+git tag -a apache-flex-sdk-${FLEX_VERSION}RC1 -m \'"Apache Flex ${FLEX_VERSION} RC1"\'
+git push --tags
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/631604ec/build/tag_release_candidate.sh
----------------------------------------------------------------------
diff --git a/build/tag_release_candidate.sh b/build/tag_release_candidate.sh
new file mode 100755
index 0000000..345bc68
--- /dev/null
+++ b/build/tag_release_candidate.sh
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+
+
+if [ $# -ne 2 ]
+then
+    echo "Usage: deploy_release_branch flex_version ([0-99].[0-99].[0-999]) release_candidate ([0-100])"
+fi
+
+FLEX_VERSION="$1"
+CHECK=`echo "$FLEX_VERSION" | grep -q -E '[0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,3}$'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex version needs to be in the form [0-99].[0-99].[0-999]"
+	exit 1;
+fi
+
+RELEASE_CANDIDATE="$2"
+CHECK=`echo "$RELEASE_CANDIDATE" | grep -q -E '[0-9]{1,2}'`
+
+if [ $? -ne 0 ]
+then
+	echo "Apache Flex release candidate to be in the range 1-99"
+	exit 1;
+fi
+
+git tag -a apache-flex-sdk-${FLEX_VERSION}RC${RELEASE_CANDIDATE} -m \'"Apache Flex ${FLEX_VERSION} RC${RELEASE_CANDIDATE}"\'
+git push --tags
\ No newline at end of file